Debian Bug report logs - #673159
bowtie2: FTBFS[{kfreebsd,hurd}-i386]: error: #error "SSE2 instruction set not enabled"

version graph

Package: src:bowtie2; Maintainer for src:bowtie2 is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 16 May 2012 14:42:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version bowtie2/2.0.0-beta6-1

Fixed in version bowtie2/2.0.0-beta6-3

Done: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#673159; Package src:bowtie2. (Wed, 16 May 2012 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 16 May 2012 14:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: bowtie2: FTBFS[{kfreebsd,hurd}-i386]: error: #error "SSE2 instruction set not enabled"
Date: Wed, 16 May 2012 16:40:20 +0200
Package: src:bowtie2
Version: 2.0.0-beta6-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the {hurd,kfreebsd}-i386 buildds:

/usr/bin/g++ -O3   -funroll-loops -g3 -DCOMPILER_OPTIONS="\"-O3   -funroll-loops -g3 \""  \
		-fno-strict-aliasing -DBOWTIE2_VERSION="\"`cat VERSION`\"" -DBUILD_HOST="\"`hostname`\"" -DBUILD_TIME="\"`date`\"" -DCOMPILER_VERSION="\"`/usr/bin/g++ -v 2>&1 | tail -1`\"" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DBOWTIE_PTHREADS -DPREFETCH_LOCALITY=2 -DBOWTIE_MM  -DBOWTIE2 -DNDEBUG -Wall \
		 \
		-o bowtie2-align bt2_search.cpp \
		ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp edit.cpp bt2_idx.cpp bt2_io.cpp bt2_util.cpp reference.cpp ds.cpp multikey_qsort.cpp limit.cpp qual.cpp pat.cpp sam.cpp read_qseq.cpp aligner_seed_policy.cpp aligner_seed.cpp aligner_sw.cpp aligner_sw_driver.cpp aligner_cache.cpp aligner_result.cpp ref_coord.cpp mask.cpp pe.cpp aln_sink.cpp dp_framer.cpp scoring.cpp presets.cpp unique.cpp aligner_bt.cpp sse_util.cpp aligner_swsse.cpp outq.cpp aligner_swsse_loc_i16.cpp aligner_swsse_ee_i16.cpp aligner_swsse_loc_u8.cpp aligner_swsse_ee_u8.cpp bowtie_main.cpp \
		 -lpthread
In file included from aligner_sw.h:72:0,
                 from bt2_search.cpp:47:
[...]

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=bowtie2&arch=kfreebsd-i386&ver=2.0.0-beta6-1&stamp=1337068947

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#673159; Package src:bowtie2. (Wed, 16 May 2012 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 16 May 2012 15:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 673159@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-bsd@lists.debian.org, 673159@bugs.debian.org
Subject: Re: Bug#673159: bowtie2: FTBFS[{kfreebsd, hurd}-i386]: error: #error "SSE2 instruction set not enabled"
Date: Wed, 16 May 2012 16:57:47 +0200
Hi,

could you give some slight hint how to cope with this problem?

Many thanks

      Andreas.

On Wed, May 16, 2012 at 04:40:20PM +0200, Christoph Egger wrote:
> Package: src:bowtie2
> Version: 2.0.0-beta6-1
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the {hurd,kfreebsd}-i386 buildds:
> 
> /usr/bin/g++ -O3   -funroll-loops -g3 -DCOMPILER_OPTIONS="\"-O3   -funroll-loops -g3 \""  \
> 		-fno-strict-aliasing -DBOWTIE2_VERSION="\"`cat VERSION`\"" -DBUILD_HOST="\"`hostname`\"" -DBUILD_TIME="\"`date`\"" -DCOMPILER_VERSION="\"`/usr/bin/g++ -v 2>&1 | tail -1`\"" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DBOWTIE_PTHREADS -DPREFETCH_LOCALITY=2 -DBOWTIE_MM  -DBOWTIE2 -DNDEBUG -Wall \
> 		 \
> 		-o bowtie2-align bt2_search.cpp \
> 		ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp edit.cpp bt2_idx.cpp bt2_io.cpp bt2_util.cpp reference.cpp ds.cpp multikey_qsort.cpp limit.cpp qual.cpp pat.cpp sam.cpp read_qseq.cpp aligner_seed_policy.cpp aligner_seed.cpp aligner_sw.cpp aligner_sw_driver.cpp aligner_cache.cpp aligner_result.cpp ref_coord.cpp mask.cpp pe.cpp aln_sink.cpp dp_framer.cpp scoring.cpp presets.cpp unique.cpp aligner_bt.cpp sse_util.cpp aligner_swsse.cpp outq.cpp aligner_swsse_loc_i16.cpp aligner_swsse_ee_i16.cpp aligner_swsse_loc_u8.cpp aligner_swsse_ee_u8.cpp bowtie_main.cpp \
> 		 -lpthread
> In file included from aligner_sw.h:72:0,
>                  from bt2_search.cpp:47:
> [...]
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=bowtie2&arch=kfreebsd-i386&ver=2.0.0-beta6-1&stamp=1337068947
> 
> Regards
> 
>     Christoph
> 
> If you have further questions please mail debian-bsd@lists.debian.org
> 
> -- 
> 9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
> Debian Developer | Lisp Hacker | CaCert Assurer
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging
> 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#673159; Package src:bowtie2. (Wed, 16 May 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 16 May 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 673159@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: debian-bsd@lists.debian.org, 673159@bugs.debian.org
Subject: Re: Bug#673159: bowtie2: FTBFS[{kfreebsd, hurd}-i386]: error: #error "SSE2 instruction set not enabled"
Date: Wed, 16 May 2012 18:50:31 +0100
Hi Andreas,

After -msse2 was disabled on 32-bit arches, the SSE types are missing.
It seems insufficient to define __SSE2__, __SSE__ and __MMX__ because
some compiler built-in types are still needed.

I'm curious how this successfully built on (Linux) i386.  Was it built
inside of a chroot on a x86_64 system?  -msse2 could have got enabled by
mistake, allowing it to build, but then it would be unusable on a real
32-bit system.  I have no idea what this means but I suspect these are
SSE or MMX instructions in the i386 binNMU binaries:

>  80af439:	66 0f eb fd          	por    %xmm5,%xmm7
>  80af43d:	66 0f 7f 7a 30       	movdqa %xmm7,0x30(%edx)
>  80af447:	66 0f fe f3          	paddd  %xmm3,%xmm6
>  80af7a1:	66 0f 6e 8d 20 04 00 	movd   0x420(%ebp),%xmm1
>  80af7a9:	66 0f d6 4c 24 38    	movq   %xmm1,0x38(%esp)
>  80af989:	66 0f 6e 85 34 04 00 	movd   0x434(%ebp),%xmm0

My guess is that this package should only be built for 64-bit arches.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to Alexandre Mestiashvili <alex@biotec.tu-dresden.de>:
You have taken responsibility. (Fri, 01 Jun 2012 20:51:34 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 01 Jun 2012 20:51:34 GMT) Full text and rfc822 format available.

Message #20 received at 673159-close@bugs.debian.org (full text, mbox):

From: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
To: 673159-close@bugs.debian.org
Subject: Bug#673159: fixed in bowtie2 2.0.0-beta6-3
Date: Fri, 01 Jun 2012 20:47:58 +0000
Source: bowtie2
Source-Version: 2.0.0-beta6-3

We believe that the bug you reported is fixed in the latest version of
bowtie2, which is due to be installed in the Debian FTP archive:

bowtie2-examples_2.0.0-beta6-3_all.deb
  to main/b/bowtie2/bowtie2-examples_2.0.0-beta6-3_all.deb
bowtie2_2.0.0-beta6-3.debian.tar.gz
  to main/b/bowtie2/bowtie2_2.0.0-beta6-3.debian.tar.gz
bowtie2_2.0.0-beta6-3.dsc
  to main/b/bowtie2/bowtie2_2.0.0-beta6-3.dsc
bowtie2_2.0.0-beta6-3_amd64.deb
  to main/b/bowtie2/bowtie2_2.0.0-beta6-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexandre Mestiashvili <alex@biotec.tu-dresden.de> (supplier of updated bowtie2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Jun 2012 21:58:49 +0200
Source: bowtie2
Binary: bowtie2 bowtie2-examples
Architecture: source amd64 all
Version: 2.0.0-beta6-3
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Description: 
 bowtie2    - ultrafast memory-efficient short read aligner
 bowtie2-examples - Examples for bowtie2,
Closes: 673159
Changes: 
 bowtie2 (2.0.0-beta6-3) unstable; urgency=low
 .
   * normalized architecture detection.
     For example kfreebsd-amd64 is detected as an amd64 architecture
     and msse flag is set.(Previous commit was wrong) (Closes: #673159)
Checksums-Sha1: 
 42f3b67d41b676a39a268e87bb2a2026745d4c44 2089 bowtie2_2.0.0-beta6-3.dsc
 da56eef02d0b998cf2dca101bdb62a96f255782e 4500 bowtie2_2.0.0-beta6-3.debian.tar.gz
 eb3bb05ae6f6905b82b21cd21667611ffc175a6c 980008 bowtie2_2.0.0-beta6-3_amd64.deb
 d8124ab3ce643b7637204243089711c0a0cb0952 4879758 bowtie2-examples_2.0.0-beta6-3_all.deb
Checksums-Sha256: 
 a5bf9f8b666949a6f9aa5955d6280973e41c1a13f8a42ac9c75de8c35f22497b 2089 bowtie2_2.0.0-beta6-3.dsc
 b26728b00a28d5fe0e4b0ba02b8bcdb49b2d84dffac49b43a26cf288a14f6e9f 4500 bowtie2_2.0.0-beta6-3.debian.tar.gz
 8bf38e5b95d3749875512ca1bb01622d36cccb4e24680c67ba0f94245e9c82a0 980008 bowtie2_2.0.0-beta6-3_amd64.deb
 f0e9ce5fd083faca8c84bdbc19c387c2677ec4d4ccdaad5cc88a2384d19217bf 4879758 bowtie2-examples_2.0.0-beta6-3_all.deb
Files: 
 03613a00fa0bab99be2c63b412f002ae 2089 science extra bowtie2_2.0.0-beta6-3.dsc
 ab3a45d639d5d7b6423af802aca21ce0 4500 science extra bowtie2_2.0.0-beta6-3.debian.tar.gz
 c46820dcfd61663089265c3750d44587 980008 science extra bowtie2_2.0.0-beta6-3_amd64.deb
 201b6e2dc75417c2dbaf814642a34cdf 4879758 science extra bowtie2-examples_2.0.0-beta6-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPySL6AAoJEBz3khEbUiiwJ7EP/3WI3Fh0gbdKAPAm/C0ak2pT
E6qF41qDQMVpTLVOh4qwl+mfLa41kHQmxctbfroFeopxebGVvfBNTmXM4OJcUdtu
VSgQx/PGUf1x+iCLtHFdfhZvzVXcQBDpMvwHAScSfL9T+XqwRr0aQXINSr57CHxm
dtBf8Pl06D3wl1V9HfQ3nSk3nHicj2xMTt6rjRzx1X3jd4pJX9rKm6BmeDTVKV1V
//klil/2txkv/QE3ARKrRaLbGL/StE81zGbsD/mJE55EBVi+gpObgQSXIZyfEk+E
t5YiMgpmMSF0VKza/S2SA6iJa0rSuEzsBOA13w9/CmCwLu3wKLRV+NW+2xCfiy2l
ndEQNxfWBJZu3kCLQblkSdg1Z8SjiXHwXWlN/mggDuKsdLCb3kMO9Tucqv8fQrNH
jVEfDazd/EcY0GHHKnUzm1Qk1R5P5m4GtzQqKHLfdaEm0PExYpTTmjDMOZ3Cenu+
1q8MeHFXDTvkAB0mukBgcbJoSVhRGFBg00oxQJULKwaGaa5ysxCUrJiz8gKU5VrN
TT/o3aa1NejGt767twZxVIWcSzN7vHQ932zT6uy4L/eVIgPV0kRgTOQnzZNJraO+
9uHbfeS1cpRDh58ITCuhwmJYljQwkAWFBRImr2QaG8PG0Qm+kYvLoRpIcgf6zWd4
qPX7koaj4cpsvhR8oLQH
=IsVX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:43:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:34:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.